{% extends 'base.html.twig' %}

{% block title %}Gestion des films{% endblock %}
{% block myTitle %}Gestion des films{% endblock %}

{% block body %}
<a class="btn btn-info mb-3" href="">Ajouter</a>
<table class="table table-hover">
  <thead>
    <tr>
      <th scope="col">Poster</th>
      <th scope="col">Titre</th>
      <th scope="col">Description</th>
      <th scope="col">Réalisateur</th>
      <th scope="col">Durée</th>
      <th scope="col">Acteurs</th>
      <th scope="col">Sortie</th>
      <th scope="col">Action</th>
    </tr>
  </thead>
  <tbody>
    {% for film in films %}
    <tr class="table-default">
      <td><img class="card-img-top" src="{{ asset('images/' ~ film.image) }}" alt="{{ film.image }}"></td>
      <td>{{ film.title }}</td>
      <td class="w-50">{{ film.description }}</td>
      <td>{{ film.director }}</td>
      <td>{{ film.duration }} min</td>
      <td>
        {% for actor in film.actors %}
        {{ actor }} <br>
        {% endfor %}
      </td>
      <td>{{ film.getReleaseYear() }}</td>
      <td class="d-flex">
        <a class="btn btn-warning mr-2" href="">Modifier</a>
        <a class="btn btn-danger" href="">Supprimer</a>
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>
{% endblock %}